@echo off

:: ---- Check that %GSDL3HOME% is set ----
if not "%GSDL3HOME%" == "" goto start
    echo You need to run gs3-setup.bat before running this file
    goto exit

:start
:: ---- Set GSDL3 Service docBase path ----
echo Setting GSDL3 service path for Tomcat...
cd %GSDL3HOME%\comms\jakarta\tomcat\conf
"%GSDL3HOME%\winutil\sed.exe" 's,@gsdl3home@,%GSDL3HOME%,' server.xml >server.xml.out
cd %GSDL3HOME%

:: ---- Set up the servlet information for Tomcat ----
echo Setting up servlet information for Tomcat...
cd %GSDL3HOME%\web\WEB-INF
echo %GSDL3HOME%| "%GSDL3HOME%\winutil\sed.exe" 's,\\,\\\\,g' | "%GSDL3HOME%\winutil\setvar.exe" GSDL3HOME_ESCAPED >setgsdl3e.bat
call setgsdl3e.bat
del setgsdl3e.bat
"%GSDL3HOME%\winutil\sed.exe" 's,@gsdl3home@,%GSDL3HOME_ESCAPED%,' web.xml.in > web.xml
set GSDL3HOME_ESCAPED=
cd %GSDL3HOME%

:exit
